$INCLUDE "windowssdk.inc"
WINDOW w1
OPENWINDOW w1,0,0,500,400,@MINBOX|@MAXBOX|@SIZE|@CAPTION,0,"Window",&handler
   CONTROL w1,@STATIC,"Static",20,30,100,25,@CTEDITLEFT,1
   CONTROL w1,@BUTTON,"Button",20,70,200,25,0,2
   CONTROL w1,@EDIT,"Edit",20,110,100,25,0,3
   CONTROL w1,@CHECKBOX,"Checkbox",20,150,100,25,@CTEDITLEFT,4
   CONTROL w1,@RADIOBUTTON,"Radiobutton",20,190,100,25,@CTEDITLEFT,5
   CONTROL w1,@LISTVIEW,"",20,230,440,100,@LVSREPORT|@BORDER|@LVSSHOWSELALWAYS|@LVSSINGLESEL|@VSCROLL,6
           CONTROLCMD w1,6,@LVINSERTCOLUMN,0,"Column 1"
           CONTROLCMD w1,6,@LVINSERTCOLUMN,1,"Column 2"
           CONTROLCMD w1,6,@LVSETCOLWIDTH,0,130
           CONTROLCMD w1,6,@LVSETCOLWIDTH,1,130
           CONTROLCMD w1,6,@LVINSERTITEM,0,""
           CONTROLCMD w1,6,@LVINSERTITEM,0,""
   SETFONT w1,"Arial",10,500,0,1
   SETCONTROLCOLOR w1,1,RGB(0,0,0),RGB(255,255,255)
WAITUNTIL IsWindowClosed(w1)

SUB handler(),INT
	 SELECT @MESSAGE
           CASE @IDCREATE
                CENTERWINDOW w1

           CASE @IDCLOSEWINDOW
                CLOSEWINDOW w1

           CASE @IDCONTROL
                SELECT @CONTROLID
                       CASE 1
                            IF @NOTIFYCODE = 0

                            ENDIF

                       CASE 2
                            IF @NOTIFYCODE = 0

                            ENDIF

                       CASE 3
                            IF @NOTIFYCODE = 0

                            ENDIF

                       CASE 4
                            IF @NOTIFYCODE = 0

                            ENDIF

                       CASE 5
                            IF @NOTIFYCODE = 0

                            ENDIF

    ENDSELECT
ENDSELECT
RETURN 0
ENDSUB
 